Bug 663731 - sfdisk -d and fdisk -l print /dev/dm-<N>
sfdisk -d and fdisk -l print /dev/dm-<N>
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: util-linux-ng (Show other bugs)
6.1
Unspecified Unspecified
low Severity medium
: rc
: ---
Assigned To: Karel Zak
qe-baseos-daemons
:
Depends On: 649572
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-16 12:12 EST by Karel Zak
Modified: 2011-05-19 10:06 EDT (History)
3 users (show)

See Also:
Fixed In Version: util-linux-ng-2.17.2-9.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 649572
Environment:
Last Closed: 2011-05-19 10:06:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Zak 2010-12-16 12:12:16 EST
+++ This bug was initially created as a clone of Bug #649572 +++

Description of problem:

multipath device does not show as /dev/mapper/mpathN in sfdisk -d
Even /dev/dm-N and /dev/mapper/mapthN are indentical in major:miner way.
But as document say, we suggest user to use /dev/mapper/mpathN instead of /dev/dm-N


Version-Release number of selected component (if applicable):
RHEL 5.5 with device-mapper-multipath upgrade to 0.4.7-39.el5
util-linux-2.13-0.52.el5_4.1
device-mapper-multipath-0.4.7-39.el5


Steps to Reproduce:
1. Setup a multipath enviroment.
2. sfdisk -d
  
Actual results:
sfdisk use /dev/dm-N to indicate the multipath device

Expected results:
sfdisk use /dev/mapper/mpathN to indicate the multipath device.

Additional info:
Comment 3 Karel Zak 2011-01-04 04:47:37 EST
Fixed in upstream tree by commit 6bec87105cb4f2e5baf9cde14174bee8376e3b32.
Comment 6 errata-xmlrpc 2011-05-19 10:06:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0699.html

Note You need to log in before you can comment on or make changes to this bug.